From 828271cfed39211f5bad7d88bfe0f93842bf72c5 Mon Sep 17 00:00:00 2001
From: Alexey Minnekhanov <alexeymin@postmarketos.org>
Date: Sun, 5 Jun 2022 22:04:17 +0300
Subject: [PATCH 57/59] Switch to new-style KAuth headers (KF 5.92
 compatibility)

KAuthAction -> KAuth/Action, etc
---
 .../backends/AlpineApkBackend/AlpineApkAuthActionFactory.h  | 6 +++---
 .../backends/AlpineApkBackend/AlpineApkAuthHelper.cpp       | 2 +-
 libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.h | 3 ++-
 .../backends/AlpineApkBackend/AlpineApkSourcesBackend.cpp   | 2 +-
 .../backends/AlpineApkBackend/AlpineApkTransaction.cpp      | 4 ++--
 libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp  | 4 ++--
 6 files changed, 11 insertions(+), 10 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthActionFactory.h b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthActionFactory.h
index ff5667f85..b43ca7e24 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthActionFactory.h
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthActionFactory.h
@@ -24,9 +24,9 @@
 #include <QString>
 #include <QVariant>
 
-#include <KAuthAction>
-#include <KAuthActionReply>
-#include <KAuthExecuteJob>
+#include <KAuth/Action>
+#include <KAuth/ActionReply>
+#include <KAuth/ExecuteJob>
 
 namespace ActionFactory {
 
diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
index 97affc013..14d559ba5 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.cpp
@@ -25,7 +25,7 @@
 #include <QScopedPointer>
 #include <QFile>
 
-#include <KAuthHelperSupport>
+#include <KAuth/HelperSupport>
 #include <kauth_version.h>
 
 #include "AlpineApkAuthHelper.h"
diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.h b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.h
index 240e6ed35..55f81d16b 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.h
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkAuthHelper.h
@@ -21,7 +21,8 @@
 #include <QEventLoop>
 #include <QObject>
 #include <QVariant>
-#include <KAuthActionReply>
+
+#include <KAuth/ActionReply>
 
 #include <QtApk>
 
diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkSourcesBackend.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkSourcesBackend.cpp
index c10ebdcb5..073430894 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkSourcesBackend.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkSourcesBackend.cpp
@@ -29,7 +29,7 @@
 #include <QVector>
 
 // KF5
-#include <KAuthExecuteJob>
+#include <KAuth/ExecuteJob>
 #include <KLocalizedString>
 
 // libapk-qt
diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkTransaction.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkTransaction.cpp
index 0f346e843..de82546ca 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkTransaction.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkTransaction.cpp
@@ -29,9 +29,9 @@
 #include <QTimer>
 
 // KF5
-#include <kcoreaddons_version.h>
-#include <KAuthExecuteJob>
+#include <KAuth/ExecuteJob>
 #include <KLocalizedString>
+#include <kcoreaddons_version.h>
 
 AlpineApkTransaction::AlpineApkTransaction(AlpineApkResource *res, Role role)
     : AlpineApkTransaction(res, {}, role)
diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp
index 4b09c7d05..b36ffb987 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkUpdater.cpp
@@ -25,9 +25,9 @@
 #include "alpineapk_backend_logging.h"
 #include "utils.h"
 
-#include <kcoreaddons_version.h>
-#include <KAuthExecuteJob>
+#include <KAuth/ExecuteJob>
 #include <KLocalizedString>
+#include <kcoreaddons_version.h>
 
 #include <QtApk>
 
-- 
GitLab


